#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './visualization.ui'
**
** Created: 2014-12-24T22:00:15
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "visualization.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a VisualizationConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
VisualizationConfig::VisualizationConfig( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "VisualizationConfig" );
    VisualizationConfigLayout = new QVBoxLayout( this, 11, 6, "VisualizationConfigLayout"); 

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    kcfg_Labelled = new QCheckBox( this, "kcfg_Labelled" );

    layout3->addWidget( kcfg_Labelled, 1, 0 );

    kcfg_CombinedView = new QCheckBox( this, "kcfg_CombinedView" );

    layout3->addMultiCellWidget( kcfg_CombinedView, 2, 2, 0, 1 );

    kcfg_TransparentBackground = new QCheckBox( this, "kcfg_TransparentBackground" );

    layout3->addWidget( kcfg_TransparentBackground, 1, 1 );

    kcfg_Grid = new QCheckBox( this, "kcfg_Grid" );

    layout3->addWidget( kcfg_Grid, 0, 0 );

    kcfg_Soft = new QCheckBox( this, "kcfg_Soft" );

    layout3->addWidget( kcfg_Soft, 0, 1 );
    VisualizationConfigLayout->addLayout( layout3 );

    layout4 = new QGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    kcfg_Style = new KComboBox( FALSE, this, "kcfg_Style" );

    layout4->addWidget( kcfg_Style, 0, 1 );

    textLabel4 = new QLabel( this, "textLabel4" );

    layout4->addWidget( textLabel4, 2, 0 );

    kcfg_Timeout = new KIntNumInput( this, "kcfg_Timeout" );

    layout4->addWidget( kcfg_Timeout, 2, 1 );

    textLabel2_2 = new QLabel( this, "textLabel2_2" );

    layout4->addWidget( textLabel2_2, 1, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );

    layout4->addWidget( textLabel2, 0, 0 );

    kcfg_SpeedUnit = new KComboBox( FALSE, this, "kcfg_SpeedUnit" );

    layout4->addWidget( kcfg_SpeedUnit, 1, 1 );
    VisualizationConfigLayout->addLayout( layout4 );
    languageChange();
    resize( QSize(394, 268).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
VisualizationConfig::~VisualizationConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void VisualizationConfig::languageChange()
{
    kcfg_Labelled->setText( tr2i18n( "Show la&bels" ) );
    kcfg_CombinedView->setText( tr2i18n( "Show graphs one above the other" ) );
    kcfg_CombinedView->setAccel( QKeySequence( QString::null ) );
    kcfg_TransparentBackground->setText( tr2i18n( "Tra&nsparent background" ) );
    kcfg_Grid->setText( tr2i18n( "Show &grid" ) );
    kcfg_Soft->setText( tr2i18n( "Soft curves" ) );
    kcfg_Style->clear();
    kcfg_Style->insertItem( tr2i18n( "Lines" ) );
    kcfg_Style->insertItem( tr2i18n( "Bars" ) );
    kcfg_Style->insertItem( tr2i18n( "Shades" ) );
    textLabel4->setText( tr2i18n( "Timeout" ) );
    textLabel2_2->setText( tr2i18n( "Traffic speed unit:" ) );
    textLabel2->setText( tr2i18n( "Graph style:" ) );
    kcfg_SpeedUnit->clear();
    kcfg_SpeedUnit->insertItem( tr2i18n( "Bits per second" ) );
    kcfg_SpeedUnit->insertItem( tr2i18n( "Bytes per second" ) );
}

#include "visualization.moc"
